%define upstream_name	 Mon
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl-Mon module
License: 	GPL
Group: 		Development/Perl
Url: 		http://www.kernel.org/software/mon/
Source0:	ftp://ftp.kernel.org/pub/software/admin/mon/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

   
%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc CHANGES  COPYRIGHT COPYING README VERSION
%{perl_vendorlib}/Mon
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-10.mga8
+ Revision: 1495641
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-9.mga7
+ Revision: 1269581
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1030310
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 937496
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 937064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 741065
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 685487
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513093
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 26635
- mageia rebuild
- imported package perl-Mon


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.1
+ Revision: 407807
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.11-12mdv2009.1
+ Revision: 351850
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.11-11mdv2009.0
+ Revision: 223832
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11-10mdv2008.1
+ Revision: 180486
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.11-9mdv2007.0
+ Revision: 108471
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Mon

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11-8mdk
- own dir
- rebuild

